Bug 590508 - nss-softokn-3.12.4-17 update succeeds when it shouldn't
nss-softokn-3.12.4-17 update succeeds when it shouldn't
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nss-softokn (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 20:53 EDT by Elio Maldonado Batiz
Modified: 2010-09-24 20:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.12.4-19.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 20:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elio Maldonado Batiz 2010-05-09 20:53:33 EDT
Description of problem: 
A patch in nss-softokn-3.12.4-17 requires at least version 0.4.3 of prelink and there is a conflict line in the spec to prevent it if the requirement is not met. Even though prelink was at a lower version the update completed and it should have not occurred.

Version-Release number of selected component (if applicable): 3.12.4-17

How reproducible: Always

Steps to Reproduce:
1. execute rpm -q prelink which will sow prelink-0.4.2-4.fc12.x86_64
2. do a yum ns-softokn
  
Actual results: nss-softokn is updated to 3.12.4-17

Expected results: A conflict should have been reported and the updated not happened.

Additional info:
The conflict line in question reads
Conflicts:        Prelink < 0.4.3

which is wrong, it has a capital P. 

The line needs to be fixed to be
Conflicts:        prelink < 0.4.3

That will prevent the update.
Comment 1 Elio Maldonado Batiz 2010-05-09 21:18:21 EDT
Test of the change.
Before:
rpm -qa | grep ^nss-softokn
 nss-softokn-3.12.4-10.fc12.x86_64
 nss-softokn-freebl-3.12.4-17.fc12.x86_64

rpm -qa | grep ^prelink
 prelink-0.4.2-4.fc12.x86_64
    (< 0.4.3)

Download rpms from
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2174827

Attempt update:
 yum --nogpgcheck --verbose localupdate {downloaded-rpms}

 Results:
..............
  --> Running transaction check
  ---> Package nss-softokn.x86_64 0:3.12.4-18.fc12 set to be updated
  ---> Package nss-softokn-freebl.x86_64 0:3.12.4-18.fc12 set to be updated
  --> Processing Conflict: nss-softokn-freebl-3.12.4-18.fc12.x86_64 conflicts
prelink < 0.4.3
--> Finished Dependency Resolution
Error: nss-softokn-freebl conflicts with prelink
    ............................
as desired.
Comment 2 Elio Maldonado Batiz 2010-05-10 10:46:20 EDT
Though correct this doesn't help those users to already upgraded to nss-softokn-3.12.4-17. They still have to downgrade to an earlier version.
Comment 3 Jakub Jelinek 2010-05-10 12:37:28 EDT
I've requested pushing of prelink-0.4.3-2.fc12 earlier today to f12 updates testing.  You can help it by giving it karma points...
Comment 4 Elio Maldonado Batiz 2010-05-10 13:23:08 EDT
(In reply to comment #3)
> I've requested pushing of prelink-0.4.3-2.fc12 earlier today to f12 updates
> testing.  You can help it by giving it karma points...    
Thank uou, your update together with
https://admin.fedoraproject.org/updates/nss-softokn-3.12.4-19.fc12
should take of this and the other reported problems.

Note You need to log in before you can comment on or make changes to this bug.